clear

% generate one-dimensional data on a line
N = 100;

a = 3;
b = 4;
varn = 0.1;

xx = linspace(0,1,N)';
yy = a*xx + b + sqrt(varn)*randn(N,1);

% plot observed data and true line
figure
hold all
plot(xx,yy,'x')
plot(xx,a*xx + b,'k--')

%% Your code
% Fit the data (xx,yy) using a least-squares estimate and plot.
% Call your "fitted" data yyLS.

plot(xx,yyLS)

% Now fit the data (xx,yy) using a rank-1 approximation and plot.
% Call your "fitted" data xxLR and yyLR.

plot(xxLR,yyLR)

legend('observed points','true line','LS','LR','location','northwest')
