clear

% problem parameters
m = 100;
n = 50;
sigma = 2;
rng(0);     % skip if using Octave

% set up A, x, and b
A = randn(m,n);
xtrue = rand(n,1);
b = A*xtrue + sigma*randn(m,1);
xh = lsqnonneg(A,b);

% parameters for nnls
mu = 1/norm(A)^2;
x0 = zeros(n,1);
maxIters = 100;

%% YOUR CODE
% plot ||xh - xnn|| vs k
%data = zeros(maxIters,2);

%figure
%plot(1:maxIters,data)
%xlabel('iteration number (k)')
%ylabel('$\| \hat{x} - x_{k} \|$','interpreter','latex')
%legend('NNLS','LS')
