import numpy as np
import matplotlib.pyplot as plt
import scipy.optimize as op
from lsgd import lsgd
from nnls import nnls

# problem parameters
m = 100
n = 50
sigma = 2
np.random.seed(0)

# set up A, x, and b
A = np.random.randn(m, n)
xtrue = np.random.rand(n, 1)
b = A @ xtrue + sigma*np.random.randn(m, 1)

# parameters for nnls
mu = 1 / np.linalg.norm(A, ord=2)**2
x0 = np.zeros((n,1))
numIter = 100

# compute xhat from your own code with 500 iterations
#xhat = ??

## YOUR CODE
# plot ||xh - xnn|| vs k
#data = np.zeros((numIter, 2))

#plt.figure()
#plt.rc('text', usetex=True)
#plt.rc('font', family='serif')
#plt.plot(np.arange(numIter), data[:,0], label='NNLS')
#plt.plot(np.arange(numIter), data[:,1], label='LS')
#plt.xlabel('iteration number (k)')
#plt.ylabel('$\| \hat{x} - x_{k} \|$')
#plt.legend()
#plt.show()
