import numpy as np
import matplotlib.pyplot as plt

# generate one-dimensional data on a line
N = 100

a = 3
b = 4
varn = 0.1

xx = np.linspace(0,1,N)
yy = a*xx + b + np.sqrt(varn)*np.random.randn(N)

# plot observed data and true line
plt.figure()
plt.plot(xx, yy, 'x', label='observed points')
plt.plot(xx, a*xx + b, 'k--', label='true line')

## Your code
# Fit the data (xx,yy) using a least-squares estimate and plot.
# Call your "fitted" data yyLS.

plt.plot(xx, yyLS, 'g', label='LS')

# Now fit the data (xx,yy) using a rank-1 approximation and plot.
# Call your "fitted" data xxLR and yyLR.

plt.plot(xxLR, yyLR, 'r', label='LR')

plt.legend()
plt.show()
