clear

% generate two-dimensional data on an affine plane
N = 200;
varn = 0.5;

w = [3;4];
xx = rand(N,2);
yy = xx*w + sqrt(varn)*randn(N,1);

% plot observed data
figure
hold all
plot3(xx(:,1),xx(:,2),yy,'x')

%% Your code
% Fit the data (xx,yy) using a least-squares estimate and plot.
% Call your "fitted" data yyLS.

plot3(xx(:,1),xx(:,2),yyLS,'o')

% Now fit the data (xx,yy) using a rank-1 approximation and plot.
% Call the resulting rank-2 matrix of size 3 x N Xhat.

plot3(Xhat(1,:),Xhat(2,:),Xhat(3,:),'o')

legend('observed points','LS','LR','location','northwest')
